diff --git a/spring-boot-project/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/embedded/JettyWebServerFactoryCustomizerTests.java b/spring-boot-project/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/embedded/JettyWebServerFactoryCustomizerTests.java
index eadae6daa1b..04773593e64 100644
--- a/spring-boot-project/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/embedded/JettyWebServerFactoryCustomizerTests.java
+++ b/spring-boot-project/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/embedded/JettyWebServerFactoryCustomizerTests.java
@@ -164,7 +164,7 @@ public void customMaxHttpHeaderSizeIgnoredIfZero() {
 
 	@Test
 	public void customIdleTimeout() {
-		bind("server.jetty.idle-timeout=60s");
+		bind("server.jetty.connection-idle-timeout=60s");
 		JettyWebServer server = customizeAndGetServer();
 		List<Long> timeouts = connectorsIdleTimeouts(server);
 		assertThat(timeouts).containsOnly(60000L);
